%global pypi_name sybil

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        2%{?dist}
Summary:        Automated testing for the examples in your documentation

License:        MIT
URL:            https://sybil.readthedocs.io/
Source0:        https://github.com/cjw296/sybil/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-nose
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%package doc
Summary:        Documentation for python3-%{pypi_name}

BuildRequires:  python3-sphinx

%description doc
This documentation for python3-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
pushd docs
PYTHONPATH=%{buildroot}/%{python3_sitelib} make html
rm _build/html/.buildinfo
popd

# nose tests are failing because they are not ported to Python 3 yet
%check
pytest-%{python3_version} tests -k "not nose"

%files -n python3-%{pypi_name}
%doc README.rst
%license docs/license.rst
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}/

%files doc
%doc docs/_build/html/

%changelog
* Tue Sep 03 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.0-2
- Enable tests
- Add documentation

* Sat Jun 08 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.0-1
- Initial package for Fedora
